%global debug_package %{nil}
%global commit 50663b1dcef0e62655292f07950b50b1d63726a0
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           fw-fanctrl
Version:        1.0.3
Release:        1.git%{shortcommit}%{?dist}
Summary:        A simple systemd service to better control Framework Laptop's fan(s)

License:        BSD-3-Clause
URL:            https://github.com/TamtamHero/%{name}
Source:         https://github.com/TamtamHero/%{name}/archive/%{commit}.tar.gz

BuildRequires:  systemd-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3dist(build)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
Requires:       python3
Requires:       fw-ectool

%description
Fw-fanctrl is a simple Python CLI service that controls Framework Laptop's
fan(s) speedaccording to a configurable speed/temperature curve.

Its default strategy aims for very quiet fan operation, but you can choose
amongst the other provided strategies, or easily configure your own
for a different comfort/performance trade-off.

It also is possible to assign separate strategies
depending on whether the laptop is charging or discharging.

Under the hood, it uses ectool to change parameters in Framework's embedded controller (EC).

It is compatible with all 13" and 16" models, both AMD/Intel CPUs, with or without a discrete GPU.

If the service is paused or stopped, the fans will revert to their default behaviour.

%prep
%autosetup -n %{name}-%{commit}

%build
%pyproject_wheel

%install
./install.sh \
    --dest-dir %{buildroot} \
    --prefix-dir /usr \
    --sysconf-dir /etc \
    --effective-installation-dir "/usr/bin" \
    --no-sudo \
    --no-ectool \
    --no-pip-install \
    --no-pre-uninstall \
    --no-post-install
%pyproject_install

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%license LICENSE
%doc README.md doc/commands.md doc/configuration.md
%{_bindir}/%{name}
%{python3_sitelib}/fw_fanctrl*
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}/config.json
%{_sysconfdir}/%{name}/config.schema.json
%{_prefix}/lib/systemd/system-sleep/%{name}-suspend

%changelog
* Mon Jul 07 2025 Andrey Brusnik <dev@shdwchn.io> - 1.0.3-1.git50663b1
- feat: Add fw-fanctrl package
